
From: <sundarapandian@gmail.com>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/serial/amba-pl010.c |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+)

diff -puN drivers/serial/amba-pl010.c~code-to-register-amba-serial-console-is-missing drivers/serial/amba-pl010.c
--- 25/drivers/serial/amba-pl010.c~code-to-register-amba-serial-console-is-missing	Tue Nov 30 14:45:27 2004
+++ 25-akpm/drivers/serial/amba-pl010.c	Tue Nov 30 14:45:27 2004
@@ -710,6 +710,24 @@ static struct console amba_console = {
 	.data		= &amba_reg,
 };
 
+static int __init amba_console_init(void)
+{
+	/*
+	 * All port initializations are done statically
+	 */
+	register_console(&amba_console);
+	return 0;
+}
+console_initcall(amba_console_init);
+
+static int __init amba_late_console_init(void)
+{
+	if (!(amba_console.flags & CON_ENABLED))
+		register_console(&amba_console);
+	return 0;
+}
+late_initcall(amba_late_console_init);
+
 #define AMBA_CONSOLE	&amba_console
 #else
 #define AMBA_CONSOLE	NULL
_
